/*
-----------------------------------------------------
   Application Name: "DIMG"
Application Version: 0.1.0
          File Name: main.cpp
       File Version: 0.0.1
         Start Date: 27/06/2008
          Author(s): David Goodwin
          Copyright: (C) Copyright David Goodwin, 2008
            License: GNU General Public License
   File Description: Program entry point
-----------------------------------------------------
	This file is part of "DIMG".

    This is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This software is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this software; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

	File Notes:
	------------------
*/


// ------------------
//   Header Files for Qt:
// ------------------

// Qt stuff
#include <QApplication>
#include "Dimg.h"

// ------------------
//   Main Function
// ------------------
// Function Name: main
// Parameters:	argc (count of arguments)
//				*argv (the arguments)
// Purpose:		This is the main function for the program. It sets up the environment and
//				sets everything going.
// Written:		24/04/2008
int main(int argc, char *argv[])
{
    /*
    Steps that this function performs:
          1) Create app object (runs constructor)
          2) Create download_manager object (runs constructor)
          3) Pass control to the app object
    */
   	
   	// Step 1:
    QApplication app(argc, argv);

	// Step 2:		(pass in apps memory address so it can be used by download_manager)
	Dimg dmg(&app);

	// Step 3:
	return app.exec();
}
